Loading...
Searching...
No Matches
NPPST Signal Processing

## Detailed Description

## Functions

NCV_EXPORTS NCVStatus | nppsStCompactGetSize_32u (Ncv32u srcLen, Ncv32u *pBufsize, cudaDeviceProp &devProp)
| Calculates the size of the temporary buffer for vector compaction.
NCVStatus | nppsStCompactGetSize_32s (Ncv32u srcLen, Ncv32u *pBufsize, cudaDeviceProp &devProp)
| Calculates the size of the temporary buffer for vector compaction.
NCVStatus | nppsStCompactGetSize_32f (Ncv32u srcLen, Ncv32u *pBufsize, cudaDeviceProp &devProp)
| Calculates the size of the temporary buffer for vector compaction.
NCV_EXPORTS NCVStatus | nppsStCompact_32u (Ncv32u *d_src, Ncv32u srcLen, Ncv32u *d_dst, Ncv32u *p_dstLen, Ncv32u elemRemove, Ncv8u *pBuffer, Ncv32u bufSize, cudaDeviceProp &devProp)
| Compacts the input vector by removing elements of specified value.
NCV_EXPORTS NCVStatus | nppsStCompact_32s (Ncv32s *d_src, Ncv32u srcLen, Ncv32s *d_dst, Ncv32u *p_dstLen, Ncv32s elemRemove, Ncv8u *pBuffer, Ncv32u bufSize, cudaDeviceProp &devProp)
| Compacts the input vector by removing elements of specified value.
NCV_EXPORTS NCVStatus | nppsStCompact_32f (Ncv32f *d_src, Ncv32u srcLen, Ncv32f *d_dst, Ncv32u *p_dstLen, Ncv32f elemRemove, Ncv8u *pBuffer, Ncv32u bufSize, cudaDeviceProp &devProp)
| Compacts the input vector by removing elements of specified value.
NCV_EXPORTS NCVStatus | nppsStCompact_32u_host (Ncv32u *h_src, Ncv32u srcLen, Ncv32u *h_dst, Ncv32u *dstLen, Ncv32u elemRemove)
| Compacts the input vector by removing elements of specified value.
NCV_EXPORTS NCVStatus | nppsStCompact_32s_host (Ncv32s *h_src, Ncv32u srcLen, Ncv32s *h_dst, Ncv32u *dstLen, Ncv32s elemRemove)
| Compacts the input vector by removing elements of specified value.
NCV_EXPORTS NCVStatus | nppsStCompact_32f_host (Ncv32f *h_src, Ncv32u srcLen, Ncv32f *h_dst, Ncv32u *dstLen, Ncv32f elemRemove)
| Compacts the input vector by removing elements of specified value.

## Function Documentation

## nppsStCompact_32f()

NCV_EXPORTS NCVStatus nppsStCompact_32f | ( | Ncv32f * | d_src,
|  | Ncv32u | srcLen,
|  | Ncv32f * | d_dst,
|  | Ncv32u * | p_dstLen,
|  | Ncv32f | elemRemove,
|  | Ncv8u * | pBuffer,
|  | Ncv32u | bufSize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value.

32-bit float values

See also
  nppsStCompact_32u

## nppsStCompact_32f_host()

NCV_EXPORTS NCVStatus nppsStCompact_32f_host | ( | Ncv32f * | h_src,
|  | Ncv32u | srcLen,
|  | Ncv32f * | h_dst,
|  | Ncv32u * | dstLen,
|  | Ncv32f | elemRemove
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value.

32-bit float values. Host implementation

See also
  nppsStCompact_32u_host

## nppsStCompact_32s()

NCV_EXPORTS NCVStatus nppsStCompact_32s | ( | Ncv32s * | d_src,
|  | Ncv32u | srcLen,
|  | Ncv32s * | d_dst,
|  | Ncv32u * | p_dstLen,
|  | Ncv32s | elemRemove,
|  | Ncv8u * | pBuffer,
|  | Ncv32u | bufSize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value.

32-bit signed values

See also
  nppsStCompact_32u

## nppsStCompact_32s_host()

NCV_EXPORTS NCVStatus nppsStCompact_32s_host | ( | Ncv32s * | h_src,
|  | Ncv32u | srcLen,
|  | Ncv32s * | h_dst,
|  | Ncv32u * | dstLen,
|  | Ncv32s | elemRemove
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value.

32-bit signed values. Host implementation

See also
  nppsStCompact_32u_host

## nppsStCompact_32u()

NCV_EXPORTS NCVStatus nppsStCompact_32u | ( | Ncv32u * | d_src,
|  | Ncv32u | srcLen,
|  | Ncv32u * | d_dst,
|  | Ncv32u * | p_dstLen,
|  | Ncv32u | elemRemove,
|  | Ncv8u * | pBuffer,
|  | Ncv32u | bufSize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value.

32-bit unsigned values

Parameters

  d_src | [IN] Source vector pointer (CUDA device memory)
  srcLen | [IN] Source vector length
  d_dst | [OUT] Destination vector pointer (CUDA device memory)
  p_dstLen | [OUT] Pointer to the destination vector length (Pinned memory or NULL)
  elemRemove | [IN] The value to be removed
  pBuffer | [IN] Pointer to the pre-allocated temporary buffer (CUDA device memory)
  bufSize | [IN] Size of the pBuffer in bytes
  devProp | [IN] CUDA device properties structure, containing texture alignment information

Returns
  NCV status code

## nppsStCompact_32u_host()

NCV_EXPORTS NCVStatus nppsStCompact_32u_host | ( | Ncv32u * | h_src,
|  | Ncv32u | srcLen,
|  | Ncv32u * | h_dst,
|  | Ncv32u * | dstLen,
|  | Ncv32u | elemRemove
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Compacts the input vector by removing elements of specified value.

32-bit unsigned values. Host implementation

Parameters

  h_src | [IN] Source vector pointer (CUDA device memory)
  srcLen | [IN] Source vector length
  h_dst | [OUT] Destination vector pointer (CUDA device memory)
  dstLen | [OUT] Pointer to the destination vector length (can be NULL)
  elemRemove | [IN] The value to be removed

Returns
  NCV status code

## nppsStCompactGetSize_32f()

NCVStatus nppsStCompactGetSize_32f | ( | Ncv32u | srcLen,
|  | Ncv32u * | pBufsize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Calculates the size of the temporary buffer for vector compaction.

32-bit float values

See also
  nppsStCompactGetSize_32u

## nppsStCompactGetSize_32s()

NCVStatus nppsStCompactGetSize_32s | ( | Ncv32u | srcLen,
|  | Ncv32u * | pBufsize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Calculates the size of the temporary buffer for vector compaction.

32-bit signed values

See also
  nppsStCompactGetSize_32u

## nppsStCompactGetSize_32u()

NCV_EXPORTS NCVStatus nppsStCompactGetSize_32u | ( | Ncv32u | srcLen,
|  | Ncv32u * | pBufsize,
|  | cudaDeviceProp & | devProp
| ) |  |

`#include </build/pcl-Jv4Ahb/pcl-1.14.0+dfsg/gpu/people/src/cuda/nvidia/NPP_staging.hpp>`

Calculates the size of the temporary buffer for vector compaction.

32-bit unsigned values

Parameters

  srcLen | [IN] Length of the input vector in elements
  pBufsize | [OUT] Pointer to host variable that returns the size of the temporary buffer (in bytes)
  devProp | [IN] CUDA device properties structure, containing texture alignment information

Returns
  NCV status code